Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.gui
Class TreeTableModelAdapter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.puppycrawl.tools.checkstyle.gui.TreeTableModelAdapter

All Implemented Interfaces:
  Serializable, TableModel

    public class TreeTableModelAdapter

extends AbstractTableModel

This is a wrapper class takes a TreeTableModel and implements the table model interface. The implementation is trivial, with all of the event dispatching support provided by the superclass: the AbstractTableModel.

Version:
  1.2 10/27/98
Author:
  Philip Milne, Scott Violet
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`TreeTableModelAdapter(TreeTableModel aTreeTableModel, JTree aTree)`

Method Summary
`protected void` | `delayedFireTableDataChanged()` Invokes fireTableDataChanged after all the pending events have been processed.
`Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`int` | `getRowCount()`
`Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`
`protected Object` | `nodeForRow(int row)`
`void` | `setValueAt(Object value, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTableModelAdapter

    public TreeTableModelAdapter(TreeTableModel aTreeTableModel,
                                 JTree aTree)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

### nodeForRow

    protected Object nodeForRow(int row)

### getValueAt

    public Object getValueAt(int row,
                             int column)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

### delayedFireTableDataChanged

    protected void delayedFireTableDataChanged()

  Invokes fireTableDataChanged after all the pending events have been processed. SwingUtilities.invokeLater is used to handle this.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD